package starfleet;


import java.util.List;
import java.util.Map;
import java.util.Set;

public class StarfleetManager {

	/**
	 * Returns a list containing string representation of all fleet ships, sorted in ascending order by
	 * commission year.
	 * 
	 */
	public static List<String> getSpacecraftDescriptionsByCommissionYear(List<Spaceship> fleet) {
	}

	/**
	 * Returns a map containing ship type names as keys (the class name) and the number of instances created for each type as values
	 */
	public static Map<String, Integer> getInstanceNumberPerClass (List<Spaceship> fleet) {
	}


	/**
	 * Returns the total annual maintenance cost of the fleet (which is the sum of maintenance costs of all the fleet's ships)
	 */
	public static int getTotalMaintenanceCost (List<Spaceship> fleet) {
	}

	/**
	 * Returns the total fire power of the fleet (which is the sum of fire power of all the fleet's ships)
	 */
	public static int getTotalFleetFirePower (List<Spaceship> fleet) {
	}

	/**
	 * Returns the average of maximal speed of all the fleet's ships
	 * 
	 */
	public static float getFleetAverageOfMaximalSpeed (List<Spaceship> fleet) {
	}

	/**
	 * Returns a set containing the names of all the fleet's weapons installed on any ship, without repetitions
	 * 
	 */
	public static Set<String> getFleetWeaponNames (List<Spaceship> fleet) {
	}

	/*
	 *  Returns a list of ship names. The list is ordered by the maintenance cost of the ships, in a descending order (The name of 
	 *  the ship with the highest maintenance costs, is to appear first).
	 * 
	 */
	public static List<String> getShipsNamesSortedByMaintenanceCost(List<Spaceship> fleet) {
	}
}
